package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2021/1/18 0018
 **/
public enum IndexErrorType implements BaseEnum<String, IndexErrorType> {
    MUSIC_PATROL("MUSIC_PATROL", "乐团巡查"),
    HIGH_CLASS_STUDENT_LESS_THAN_THREE("HIGH_CLASS_STUDENT_LESS_THAN_THREE", "基础技能班学员数量异常"),
    MUSIC_PATROL_ITEM("MUSIC_PATROL_ITEM", "乐团巡查事项异常"),
    NO_CLASS_MUSIC_GROUP_STUDENT_INFO("NO_CLASS_MUSIC_GROUP_STUDENT_INFO", "当前有{0}个乐团共{1}名学员未加入任何班级"),

    STUDENT_INFO("STUDENT_INFO", "学员处理"),
    STUDENT_ARREARAGE("STUDENT_ARREARAGE", "欠费学员数"),
    STUDENT_NOT_PAYMENT("STUDENT_NOT_PAYMENT", "未缴费学员数"),
    STUDENT_ERROR_LEAVE("STUDENT_ERROR_LEAVE", "学员异常请假"),
    STUDENT_APPLY_FOR_QUIT_MUSIC_GROUP("STUDENT_APPLY_FOR_QUIT_MUSIC_GROUP", "申请退团学员数"),
    NO_MEMBER_STUDENT_INFO("NO_MEMBER_STUDENT_INFO", "当前共有{0}个乐团共{1}名学员会员已过期"),
    MEMBER_STUDENT_INFO("MEMBER_STUDENT_INFO", "当前共有{0}个乐团共{1}名学员会员即将过期"),
    WAIT_CREATE_PAYMENT_CALENDER("WAIT_CREATE_PAYMENT_CALENDER", "待创建缴费项目"),
    ATTENDANCE_ERR_STUDENT_NUM("COURSE_TRUANT_STUDENT_NUM", "学员考勤异常"),
    COURSE_TRUANT_STUDENT_NUM("COURSE_TRUANT_STUDENT_NUM", "学员旷课"),
    COURSE_LEAVE_STUDENT_NUM("COURSE_LEAVE_STUDENT_NUM", "学员请假"),

    TEACHER_INFO("TEACHER_INFO", "日常行政"),

    COURSE_TIME_ERROR("COURSE_TIME_ERROR", "课程时间安排异常"),
    TEACHER_LEAVE("TEACHER_LEAVE", "老师请假"),
    TEACHER_EXPECT_SALARY_BE_LOW("TEACHER_EXPECT_SALARY_BE_LOW", "预计课酬较低"),
    INSPECTION_ITEM("INSPECTION_ITEM", "乐团巡查任务未计划"),
    INSPECTION_ITEM_PLAN("INSPECTION_ITEM_PLAN", "乐团巡查任务未提交"),
    STUDENT_VISIT("STUDENT_VISIT", "回访任务未完成"),

    ATTENDANCE_SERVE("ATTENDANCE_SERVE", "考勤及服务"),
    TEACHER_EXCEPTION_ATTENDANCE("TEACHER_EXCEPTION_ATTENDANCE", "课程考勤异常"),
    TEACHER_NOT_A_CLASS("TEACHER_NOT_A_CLASS", "课程异常"),
    TEACHER_SERVE_ERROR("TEACHER_SERVE_ERROR", "服务指标异常"),
    ;

    private String code;

    private String msg;

    IndexErrorType(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
